#! /bin/bash

# Script makes the quadrotor move to one side of the room, to the side of the wall, and when ctrl-C is pressed, the quadrotor moves pass the wall

#TODO: Make it possible for the system ask the user when to run different commands, as to allow different systems users to handle their case on their own


gnome-terminal -e "roslaunch radar_quadrotor_gazebo enclosed_area.launch"

# Standard sleeping time between commands is 5 seconds
SLEEPTIME=${1:-5}

sleep 1
gnome-terminal -e "roslaunch radar_quadrotor_gazebo spawn_quadrotor_with_expanded_radar_ground.launch"

sleep 1
gnome-terminal -e "rosrun radar_mapping occupancy_grid_mapping.py"
sleep 1
gnome-terminal -e "rosrun rviz rviz"

sleep 20
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 4.0
        y: 4.0
        z: 1.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"


sleep 60 
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -10.0
        y: 4.0
        z: 1.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"


sleep 60
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -10.0
        y: -5.0
        z: 1.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 60
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 9.0
        y: -5.0
        z: 1.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"


sleep 60
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 9.0
        y: 3.0
        z: 1.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"


