#! /bin/bash

# Script makes the quadrotor move to one side of the room, to the side of the wall, and when ctrl-C is pressed, the quadrotor moves pass the wall

#TODO: Make it possible for the system ask the user when to run different commands, as to allow different systems users to handle their case on their own


gnome-terminal -e "roslaunch radar_quadrotor_gazebo sensor_tuning_world.launch"

# Standard sleeping time between commands is 5 seconds
SLEEPTIME=${1:-5}

sleep 1
gnome-terminal -e "roslaunch radar_quadrotor_gazebo spawn_quadrotor_with_expanded_radar.launch"

sleep 1
gnome-terminal -e "rosrun radar_mapping radar_mapping_3D_improved.py"
sleep 1
gnome-terminal -e "rosrun rviz rviz"

sleep 2
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.2
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.2
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -4.0
        z: 3.2
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -4.0
        z: 3.2
      orientation:
        x: 1.0
        y: -1.0
        z: 0.0
        w: 0.0"


sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.2
      orientation:
        x: 0.0
        y: -1.0
        z: 0.0
        w: 0.0"


sleep 2
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.5
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -4.0
        z: 3.5
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -4.0
        z: 3.5
      orientation:
        x: 1.0
        y: -1.0
        z: 0.0
        w: 0.0"


sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.5
      orientation:
        x: 0.0
        y: -1.0
        z: 0.0
        w: 0.0"

sleep 2
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.8
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -2.0
        z: 3.8
      orientation:
        x: 2.0
        y: 2.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: 0.0
        y: -4.0
        z: 3.8
      orientation:
        x: 1.0
        y: 0.0
        z: 0.0
        w: 0.0"

sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -4.0
        z: 3.8
      orientation:
        x: 1.0
        y: -1.0
        z: 0.0
        w: 0.0"


sleep 4
rostopic pub -1 /action/pose/goal hector_uav_msgs/PoseActionGoal "header:
  seq: 0          
  stamp:
    secs: 0
    nsecs: 0
  frame_id: ''
goal_id:
  stamp:
    secs: 0
    nsecs: 0
  id: ''
goal:
  target_pose:
    header:
      seq: 0
      stamp:
        secs: 0
        nsecs: 0
      frame_id: 'world'
    pose:
      position:
        x: -3.2
        y: -2.0
        z: 3.8
      orientation:
        x: 0.0
        y: -1.0
        z: 0.0
        w: 0.0"
