#!/bin/bash

# Script downloads all necessary files needed to run the Hector Quadrotor on a ROS platform running Kinetic

# to execute when in catkin_ws/src folder

# Downloads all the necessary ROS packages needed to run hector on ROS kinetic
sudo apt-get install ros-kinetic-ros-control
sudo apt-get install ros-kinetic-gazebo-ros-control
sudo apt-get install ros-kinetic-unique-identifier
sudo apt-get install ros-kinetic-geographic-info
sudo apt-get install ros-kinetic-laser-geometry
sudo apt-get install ros-kinetic-tf-conversions
sudo apt-get install ros-kinetic-tf2-geometry-msgs
sudo apt-get install ros-kinetic-joy

# Downloads Hector packages developed by TU darmstadt, kinetic version
git clone -b kinetic-devel https://github.com/tu-darmstadt-ros-pkg/hector_quadrotor
git clone -b catkin https://github.com/tu-darmstadt-ros-pkg/hector_localization
git clone -b kinetic-devel https://github.com/tu-darmstadt-ros-pkg/hector_gazebo
git clone -b kinetic-devel https://github.com/tu-darmstadt-ros-pkg/hector_models
git clone -b catkin https://github.com/tu-darmstadt-ros-pkg/hector_slam

# Compiling the downloaded packages
cd ..
catkin_make

# Making the ROS environment capable to find the new packages
source devel/setup.zsh
